/*
 * $Id: AddvRunning.java,v 1.3 1997/03/01 12:10:59 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1996  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

import java.applet.Applet;
import java.io.*;
import java.net.*;
import java.awt.*;
import java.util.*;

public class AddvRunning extends Applet{

  URL settingFile;

  String settings;
  String messageOn;
  String messageOff;
  String messageLoading;
  String messageUnknown;

  public void init(){
    settings       = getParameter( "settings" );
    messageOn      = getParameter( "on" );
    messageOff     = getParameter( "off" );
    messageLoading = getParameter( "loading" );
    messageUnknown = getParameter( "unknown" );
  }

  public void start(){

    setBackground( Color.white );

    // Print a loading message
    Label label = new Label( messageLoading, Label.CENTER );
    label.setBackground( Color.white );
    add( label );
    show();

    String runningValue = null;

    try{
      settingFile = new URL( settings );

      DataInputStream data = new DataInputStream( settingFile.openStream() );
      String line;
      boolean done = false;

      while( !done ){
        line = data.readLine();
        if( line == null ){
          done = true;
        } else if( line.indexOf( "#" ) != 0 ){
          // Not a comment
          try{
            StringTokenizer st = new StringTokenizer( line, "=" );
            String name = st.nextToken().trim();
            if( name.equalsIgnoreCase( "Game" ) ){
              runningValue = st.nextToken().trim();
              done = true;
            }
          
          } catch( NoSuchElementException nsee ){
            // Make sure this didn't work
            runningValue = null;
            done = false;
          }
        }
        
      }

    } catch( IOException ioe ){ 
      System.out.println( "ioe" );
    }

    if( runningValue == null ){
      label.setText( messageUnknown );
    } else if( runningValue.equalsIgnoreCase( "off" ) ){
      label.setText( messageOff );
    } else if( runningValue.equalsIgnoreCase( "on" ) ){
      label.setText( messageOn );
    } else {
      label.setText( messageUnknown );
    }
    show();

  }

}