/*
 * $Id: browser.H,v 1.1 1995/01/28 16:56:33 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1995  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _BROWSER_H
#define _BROWSER_H

#include <list.H>

/***************************************************************************/

class Browser{
public:
  Browser( char *string );  // Parse it!
  Browser( int room, char *browser );
  ~Browser();

  // Accessors
  int room();
  char *browser();

  char *string();       // The one-liner representation
  
private:
  int _room;
  char *_browser;
};

/***************************************************************************/

class BrowserNode:public Browser, public Node{
public:
  BrowserNode( char *string );  // Parse it!
  BrowserNode( int room, char *browser );
  ~BrowserNode();
};

//***************************************************************************/

class BrowserFile{
public:
  BrowserFile( char *filepath, int load = 0 );
  ~BrowserFile();

  // Accessors
  List *browserlist();

  // File actions
  void load();
  void add( int room, char *browser );
  
private:
  int _loaded;        // Is the file loaded?
  char *_filename;

  List *_browserlist;
  
};

/***************************************************************************/

#endif

/*
 * $Log: browser.H,v $
 * Revision 1.1  1995/01/28  16:56:33  asf
 * Initial revision
 *
 */
