#!/usr/bin/perl
# $Id: response-template.pl,v 1.4 1996/12/26 22:54:09 asf Exp $

#    This file is part of Addventure
#    Copyright (C) 1996  Allen S. Firstenberg
# 
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
# 
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
# 
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

###########################################################################

# Set the following values

# Edit the following function
sub send_mail{
    # Takes no parameters
    # The following variables are available:
    #   $room
    #   $parent
    #   $author
    #   $roomw
    #   $game_title
    # and any other option setting available in the %setting assoc array

}

###########################################################################
# You should have no need to edit beyond this point
###########################################################################

# This function is borrowed and modified from magic.pl
sub setting {
    local( $path ) = @_;
    local( $file ) = "$path" . "/options.addv";

    open( SETTING, $file );
    while( <SETTING> ){
	if( /^#.*$/ ){
	   # It's a comment
       } elsif( /^([-\w]*)\s*=\s*(.*)$/ ){
	   $setting{$1} = $2;
       } else {
	   # It's blank?
       }
    }
    close( SETTING );
}

#---------------------------------------------------------------------------

sub find_room{
    local( $path, $room ) = @_;
    local( $file ) = "$path" . "/response.addv";
    
    open( RESPONSE, $file );
    $found = 0;
    while( <RESPONSE> ){
	chop;
	$match = /([0-9]+)\s+([0-9]+)\s+([a-zA-Z0-9@%_.\-]+)/;
	if( $match ){
	    if( $room eq $2 ){
		$parent = $1;
		$author = $3;
		$found = 1;
		last;
	    }
	}
    }
    return $found;
}

#---------------------------------------------------------------------------

# Parameters are:
#   Path of .addv files
#   room
# The parent and user can be read from the response.addv file

$filepath = $ARGV[0];
$room = $ARGV[1];

&setting( $filepath );
$game_title = $setting{ "Title" };
$roomw = $setting{ "RoomW" };
$needs_response = &find_room( $filepath, $room );

# Only mail if there is a person who wants a response
if( $needs_response ){
    &send_mail;
}
