/*
 * $Id: setvalue.C,v 1.1 1996/08/17 20:15:53 asf Exp $
 */

/*
    This file is part of Addventure
    Copyright (C) 1996  Allen S. Firstenberg
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * Allow values in an "option" file to be set or cleared.
 */

#include "opt.H"
#include "addvutil.H"
#include "setaddv.H"

/***************************************************************************/

void usage( char *program ){
  // @@@
  fprintf( stderr, "No bozo\n" );
  exit( 1 );
}

/***************************************************************************/

main( int argc, char *argv[] ){

  char *filepath;
  char *label;
  char *value;

  Opt cla( argc, argv );   // Command line arguments

  filepath = cla.get_value( "-filepath" );
  if( filepath == NULL ){

    // Uh oh!  No path set
    usage( argv[0] );
    
  } else {

    // Determine if we are setting and clearing, and what the label and
    // value is

    label = cla.get_value( "-set" );
    if( label ){
      value = cla.get_value( "-value" );
      if( !value ){
        // If you are setting a value, you must have a value!
        usage( argv[0] );
      }
    } else {
      label = cla.get_value( "-clear" );
      if( label ){
        value = NULL;
      } else {
        // The need to either SET or CLEAR it!
        usage( argv[0] );
      }
    }

    SetAddv settings( filepath );
    settings.setLabel( label, value );
    
  }
}

/***************************************************************************/

/*
 * $Log: setvalue.C,v $
 * Revision 1.1  1996/08/17 20:15:53  asf
 * Initial revision
 *
 */


