#!/usr/bin/perl
# $Id: spacecheck.pl,v 1.4 1997/02/25 13:39:02 asf Exp $

#    This file is part of Addventure
#    Copyright (C) 1996  Allen S. Firstenberg
# 
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
# 
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
# 
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

###########################################################################

sub ok {
    print "$free - ok\n";
    system( "$setvalue -filepath $filepath -set Game -value on" );
}

#---------------------------------------------------------------------------

sub still_ok{
    print "$free - still ok\n";
}

#---------------------------------------------------------------------------

sub warning {
    print "$free - warning\n";
}

#---------------------------------------------------------------------------

sub still_warning {
    print "$free - still warning\n";
}

#---------------------------------------------------------------------------

sub critical {
    print "$free - critical\n";
    system( "$setvalue -filepath $filepath -set Game -value off" );
}

#---------------------------------------------------------------------------

sub still_critical {
    print "$free - still critical\n";
}

###########################################################################
# You should have no need to edit beyond this point
###########################################################################

# This function is borrowed and modified from magic.pl
sub setting {
    local( $path ) = @_;
    local( $file ) = "$path" . "/options.addv";

    open( SETTING, $file );
    while( <SETTING> ){
	if( /^#.*$/ ){
	   # It's a comment
       } elsif( /^([-\w]*)\s*=\s*(.*)$/ ){
	   $setting{$1} = $2;
       } else {
	   # It's blank?
       }
    }
    close( SETTING );
}

#---------------------------------------------------------------------------

sub docheck {
    local( $cmd, $prefix ) = @_;
    local( $ret );
    local( $free );

    $warnval   = $setting{ "$prefix-warning" };
    $critval   = $setting{ "$prefix-critical" };

    print "warning $prefix: '$warnval'\n";;
    print "critical $prefix: '$critval'\n";

    open( DF, "$cmd $filepath|" );
    while( <DF> ){
	if( /^[^\s]+\s+\d*\s+\d+\s+(\d+)\s/ ){
	    $free = $1;
	    if( $free < $critval ){
		$ret = "critical";
	    } elsif( $free < $warnval ){
		$ret = "warning";
	    } else {
		$ret = "ok";
	    }
	    print "value $prefix: '$free' - '$ret'\n";
	}
    }
    close( DF );

    $ret;
}

#---------------------------------------------------------------------------

sub setnewstatus{
    local( $setcheck ) = @_;
    if( ($inodestatus eq $setcheck) || ($spacestatus eq $setcheck) ){
	$status = $setcheck;
    }
}

#---------------------------------------------------------------------------

$filepath = $ARGV[0];

$setvalue = "setvalue";

&setting( $filepath );
$runspacecheck = $setting{ "spacecheck" };
if( $runspacecheck eq "on" ){
    $oldstatus = $setting{ "spacecheck-status" };
    print "old status: '$oldstatus'\n";

    $inodestatus = &docheck( "df -i", "spacecheck-i" );
    $spacestatus = &docheck( "df", "spacecheck" );

# Do three tests and see what the real newstatus is
    &setnewstatus( "ok" );
    &setnewstatus( "warning" );
    &setnewstatus( "critical" );

    if( $status eq "ok" ){
	if( $oldstatus ne "ok" ){
	    &ok;
	} else {
	    &still_ok;
	}
    } elsif( $status eq "critical" ){
	if( $oldstatus ne "critical" ){
	    &critical;
	} else {
	    &still_critical;
	}
    } elsif( $status eq "warning" ){
	if( $oldstatus ne "warning" ){
	    &warning;
	} else {
	    &still_warning;
	}
    }

    if( $status ){
	system( "$setvalue -filepath $filepath -set spacecheck-status -value $status" );
    }
}
